/* Animazione menu ad hamburger */
.menu--1 span {display: block;margin-bottom: 0;position: absolute;width: 110px;height: 110px;top: 50%;left: 56%;transform: translate(-50%, -50%);visibility: hidden;}

.menu--1 span svg path {
  fill: none;
  stroke: #000;
  stroke-width: 1.5px;
  stroke-linecap: round;
  stroke-linejoin: round;
  --length: 26;
  --offset: -35;
  stroke-dasharray: var(--length) var(--total-length);
  stroke-dashoffset: var(--offset);
}

.menu--1 span svg path {transition: all 0.7s ease;visibility: visible;}

.menu--1 {width: 100%;height: 100%;}
.menu--1 svg {width: 100%;}
.menu--1 .line--1,
.menu--1 .line--3 {--total-length: 126;}
.menu--1 .line--2 {--total-length: 70;}

.menu-open header .mobile-toggle .cross svg .line--1,
.menu-open header .mobile-toggle .cross svg .line--3 {--length: 25}
.menu-open header .mobile-toggle .cross svg .line--2 {--length: 0;}
.menu-open header .mobile-toggle .cross svg .line--1,
.menu-open header .mobile-toggle .cross svg .line--3 {--offset: -92.9;}
.menu-open header .mobile-toggle .cross svg .line--2 {--offset: -50;}

@media screen and (max-width:680px) {
  .menu--1 span {width: 87px;height: 87px;}
}